﻿Imports System
Imports System.Windows.Forms
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.DesktopEdition

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim countiesDataPath = "..\..\Data\Counties.shp"
        Dim countries02DataPath = "..\..\Data\Countries02.shp"

        ShapeFileFeatureLayer.BuildIndexFile(countiesDataPath, BuildIndexMode.DoNotRebuild)

        Dim oProj2 As New Proj4Projection(4267, 4326)
        Dim oCountiesShp As New ShapeFileFeatureLayer(countiesDataPath)
        oCountiesShp.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.SimpleColors.Yellow, 2)
        oCountiesShp.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
        oCountiesShp.FeatureSource.Projection = oProj2

        Dim worldLayer As New ShapeFileFeatureLayer(countries02DataPath)
        worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green))
        worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20

        Dim staticOverlay As New LayerOverlay()
        staticOverlay.Layers.Add("CountiesShp", oCountiesShp)
        staticOverlay.Layers.Add("WorldLayer", worldLayer)
        WinformsMap1.Overlays.Add(staticOverlay)

        oCountiesShp.Open()
        WinformsMap1.CurrentExtent = oCountiesShp.GetBoundingBox()
        oCountiesShp.Close()

        WinformsMap1.Refresh()
    End Sub
End Class
